﻿using System;
using System.Collections.Generic;

namespace PersonLib
{
    public class PersonNameComparer : IComparer<Person>
    {
        public int Compare(Person p, Person q)
        {
            return p.Name.CompareTo(q.Name);
        }
    }

    public class PersonIDComparer : IComparer<Person>
    {
        public int Compare(Person p, Person q)
        {
            return p.ID.CompareTo(q.ID);
        }
    }

    public class PersonAddressComparer : IComparer<Person>
    {
        public int Compare(Person p, Person q)
        {
            return p.Address.CompareTo(q.Address);
        }
    }

    public class PersonPhoneComparer : IComparer<Person>
    {
        public int Compare(Person p, Person q)
        {
            return p.Phone.CompareTo(q.Phone);
        }
    }
}
